Package com.pixelmed.utils

# Interface MessageLogger

All Known Implementing Classes:
  `DialogMessageLogger`, `PrintStreamMessageLogger`

public interface MessageLogger

An interface to communicate log and status messages.

Both methods must be implemented.

## Method Summary

Modifier and Type
Method
Description
`void`
`send(String message)`
Append the supplied text to the log.
`void`
`sendLn(String message)`
Append the supplied text to the log, followed by a new line.

## Method Details

### send

void send(String message)

Append the supplied text to the log.

Parameters:
  `message` - the (possibly multi-line) text to append to the log

### sendLn

void sendLn(String message)

Append the supplied text to the log, followed by a new line.

Parameters:
  `message` - the (possibly multi-line) text to append to the log